Retrieve all Expected Racks

View as Markdown
Retrieve all Expected Racks. Org must have an Infrastructure Provider entity. User must have `FORGE_PROVIDER_ADMIN` or `FORGE_PROVIDER_VIEWER` role. Alternatively, Tenant Admins with `TargetedInstanceCreation` capability can also retrieve Expected Racks if they have an account with the Site's Infrastructure Provider (siteId query parameter is required for Tenants).

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired

Query parameters

siteIdstringOptionalformat: "uuid"
ID of the Site to filter Expected Racks by
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional>=1Defaults to 1
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-Paginationstring
Pagination result in JSON format

Response

OK
idstringRead-onlyformat: "uuid"

Unique identifier (UUID) for the Expected Rack

rackIdstringRead-only

Operator-supplied identifier for the rack (string, not UUID). Unique within a Site.

siteIdstringRead-onlyformat: "uuid"
ID of the Site the Expected Rack belongs to
rackProfileIdstring
Identifier of the Rack Profile this rack conforms to
namestring

Human-readable name of the Expected Rack

descriptionstring

Human-readable description of the Expected Rack

labelsmap from strings to strings

User-defined key-value pairs for organizing and categorizing Expected Racks. Well-known keys (chassis.*, location.*) are used to convey chassis identity and physical location.

createddatetimeRead-only
ISO 8601 datetime when the Expected Rack was created
updateddatetimeRead-only
ISO 8601 datetime when the Expected Rack was last updated

Errors

400
Bad Request Error
403
Forbidden Error